import java.applet.Applet;
import java.awt.*;
import java.applet.*;
import java.math.*;
import java.awt.event.*;
import java.awt.geom.*;
import java.io.*;
import java.util.*;

/**This is the main routine.  It calls the
   rest of the program.  After you compile
   the program, you run it using the command
   java Main*/

public class Main extends Applet {
    ControlCanvas C;
    PopupMotionCanvas PP;
    PopupSelectCanvas PS;
    Manager M;

    public static void main(String[] args) {  
        Main a=new Main();
        Frame F=new Frame();
	a.setBackground(Color.black);
        a.init();
	F.add(a);
	F.pack();
	F.addWindowListener(new WinList(F));
	F.setVisible(true);
    }

    /**Sets up the visible windows, namely the
       control window and a popup documentation window*/

    public void init() {  
	C=new ControlCanvas();
	PP=new PopupMotionCanvas();
	PS=new PopupSelectCanvas();
	M=new Manager();
	C.setSize(300,300);
	M.C=C;
	M.P=PP.P;
	M.S=PS.S;
	PP.P.M=M;
	PS.S.M=M;
        C.M=M;
	add(C);
	C.startIt();
    } 
}

